# C2 UI KIT built on Vue 3 + Vite
This is a Vue 3 component library with minimal styling used that allows devs to fully customize compoents in their project repos. Example copy paste code provided in docs on how to get started.
## Install
```html
npm i c2-ui-kit-vue-3
```
## Project Requirements
* [vue 3](https://www.npmjs.com/package/vue)
* [vue router](https://www.npmjs.com/package/vue-router)
* [sass](https://www.npmjs.com/package/sass)
## Recommended Setup
* [vite](https://vitejs.dev/) with [@vitejs/plugin-vue](https://www.npmjs.com/package/@vitejs/plugin-vue)
* alias vite.config.js recommended
```html
resolve: {
    alias: [
        {
            find: 'uikit',
            replacement: path.join(__dirname, './node_modules/c2-ui-kit-v3/src/components')
        },
        {
            find: 'uikitdirectives',
            replacement: path.join(__dirname, './node_modules/c2-ui-kit-v3/src/directives')
        }
    ]
},
```
## Components
* [Accordion](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-accordion/)
```html
    import C2Accordion from 'uikit/c2-accordion/c2-accordion.vue';
    import C2AccordionItem from 'uikit/c2-accordion/c2-accordion-item.vue';

    components: {
        C2Accordion,
        C2AccordionItem
    },
```
* [Breadcrumbs](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-breadcrumbs/)
```html
    import C2Breadcrumbs from 'uikit/c2-breadcrumbs/c2-breadcrumbs.vue';
    import C2BreadcrumbItem from 'uikit/c2-breadcrumbs/c2-breadcrumb-item.vue';

    components: {
        C2Breadcrumbs,
        C2BreadcrumbItem
    },
```
* [Dropdown Menu](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-dropdown-menu/)
```html
    import C2DropdownMenu from 'uikit/c2-dropdown-menu/c2-dropdown-menu.vue';

    components: {
        C2DropdownMenu
    },
```
* [Hero](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-hero/)
```html
    import C2HeroBanner from 'uikit/c2-hero/c2-hero-banner.vue';

    components: {
        C2HeroBanner
    },
```
* [Image](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-image/)
```html
    import C2Image from 'uikit/c2-image/c2-image.vue';

    components: {
        C2Image
    },
```
* [Modal](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-modal/)
```html
    import C2Modal from 'uikit/c2-modal/c2-modal.vue';

    components: {
        C2Modal
    },
```
* [Pagination](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-pagination/)
```html
    import C2Pagination from 'uikit/c2-pagination/c2-pagination.vue';

    components: {
        C2Pagination
    },
```
* [Product Gallery](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-product-gallery/)
```html
    import C2ProductGallery from 'uikit/c2-product-gallery/c2-product-gallery.vue';

    components: {
        C2ProductGallery
    },
```
* [Site Alert](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-site-alert/)
```html
    import C2SiteAlert from 'uikit/c2-site-alert/c2-site-alert.vue';e';

    components: {
        C2SiteAlert
    },
```
* [Slider](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-slider/)
```html
    import C2Slider from 'uikit/c2-slider/c2-slider.vue';

    components: {
        C2Slider
    },
```
* [Video](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/components/c2-video/)
```html
    import C2Video from 'uikit/c2-video/c2-video.vue';

    components: {
        C2Video
    },
```
## Directives
* [click-outside](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-click-outside/)
```html
    import C2ClickOutside from 'uikitdirectives/c2-click-outside';

    directives: {
        C2ClickOutside
    },
```
* [debounce](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-debounce/)
```html
    import C2Debounce from 'uikitdirectives/c2-debounce';

    directives: {
        C2Debounce
    },
```
* [resize](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-resize/)
```html
    import C2Resize from 'uikitdirectives/c2-resize';

    directives: {
        C2Resize
    },
```
* [scoll-lock](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-scroll-lock/)
```html
    import C2ScrollLock from 'uikitdirectives/c2-scroll-lock';

    directives: {
        C2ScrollLock
    },
```
* [scroll](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-scroll/)
```html
    import C2Scroll from 'uikitdirectives/c2-scroll';

    directives: {
        C2Scroll
    },
```
* [scrollTo](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-scrollTo/)
```html
    import C2ScrollTo from 'uikitdirectives/c2-scrollTo';

    directives: {
        C2ScrollTo
    },
```
* [touch](https://bitbucket.org/c2group/c2-ui-kit-vue-3/src/master/src/directives/c2-touch/)
```html
    import C2Touch from 'uikitdirectives/c2-touch';

    directives: {
        C2Touch
    },
```