# C2 Breadcrumbs Component

### Overview
C2 breadcrumbs is an unordered list that holds it's child component c2-breadcrumb-item (li tag)

# C2 Breadcrumb Item Component

### Overview
C2 breadcrumb item is a list item that uses vue's router link. The feature allows for a content slot to insert an svg graphic or text for the router links and also contains a slot for the list item divider. 

### Props
| Props        | Type        |
| ------------ | ----------- |
| isCurrent    | Boolean     |
| href         | String      |
| target       | String      |
### Slots
| Slot Name    |
| ------------ |
| content      |
| divider      |
### Code snippet
```
<nav aria-label="breadcrumb">
    <c2-breadcrumbs
        class="flex items-center flex-wrap"
    >
        <c2-breadcrumb-item
            v-for="(item, index) in breadcrumbItems"
            :key="index"
            :href="item.href"
            :is-current="breadcrumbItems.length -1 === index"
            class="flex items-center mr-4"
        >
            <template v-slot:content>
            <template v-if="index === 0">
                INSERT SVG
            </template>
            <template v-else >
                {{ item.name }}
            </template>
            </template>

            <template v-slot:divider>
                <span class="ml-4">
                    >
                </span>
            </template>
        </c2-breadcrumb-item>
    </c2-breadcrumbs>
</nav>
```