# C2 Dropdown Menu
### Overview
C2 Dropdown Menu creates a list of items from an array of options. This menu will be toggled from an icon button and displays the active name of a selected menu item.

### Props
| Props        | Type        |
| ------------ | ----------- |
| options      | Array      |
| firstActive  | Boolean      |
| value        | String || Number      |
| isClosed     | Boolean      |
| menuLabel    | String      |
| autoClose    | Boolean      |
| menuPosition | String      |
| buttonClasses | String      |
| listClasses | String      |
| listItemClasses | String      |

### Slots
| Name        |
| ----------- |
| icon        |

### Code snippet
```
    <c2-dropdown-menu
        :options="list"
        :button-classes="'flex items-center'"
        :list-classes="'flex flex-col'"
        :list-item-classes="'py-1'"
    >
        <template v-slot:icon>
            <span class="icon">
                +
            </span>
        </template>
    </c2-dropdown-menu>
```
